package model

type Sku struct {
	SkuId    int64  `json:"sku_id" xorm:"not null pk unique BIGINT(30)"`
	SkuCode  string `json:"sku_code" xorm:"not null comment('sku编码') VARCHAR(255)"`
	GoodsId  int64  `json:"goods_id" xorm:"not null comment('商品id') index BIGINT(20)"`
	Price    string `json:"price" xorm:"not null default 0.00 comment('价格') DECIMAL(12,2)"`
	Indexes  string `json:"indexes" xorm:"not null default '' comment('规格值组合的下标') VARCHAR(100)"`
	Sku      string `json:"sku" xorm:"not null comment('规格组合json') VARCHAR(2048)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
